rio_set_device_id
Prev | Enumeration and Discovery | Next

## Name

rio_set_device_id — Set the base/extended device id for a device

## Synopsis

`void rio_set_device_id (` | struct rio_mport * | port,
| u16 | destid,
| u8 | hopcount,
| u16 | did`)`;

## Arguments

`port`

  RIO master port

`destid`

  Destination ID of device

`hopcount`

  Hopcount to device

`did`

  Device ID value to be written

## Description

Writes the base/extended device id from a device.

Prev | Up | Next
rio_get_device_id | Home | rio_local_set_device_id